Ubuntu images fail to build due to broken dh-python package

Bug #1759796 reported by Martin André on 2018-03-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kolla
Critical
Unassigned
dh-python (Ubuntu)
Undecided
Unassigned

Bug Description

Some ubuntu images fails to build and block the gate.

2018-03-28 15:07:13.498244 | primary | CRITICAL:tests.test_build:>>> Expected image 'ovn-controller' to succeed!
2018-03-28 15:07:13.498650 | primary | CRITICAL:tests.test_build:>>> Expected image 'ovn-northd' to succeed!
2018-03-28 15:07:13.498957 | primary | CRITICAL:tests.test_build:>>> Expected image 'bifrost-base' to succeed!
2018-03-28 15:07:13.499241 | primary | CRITICAL:tests.test_build:>>> Expected image 'ovsdpdk' to succeed!
2018-03-28 15:07:13.499559 | primary | CRITICAL:tests.test_build:>>> Expected image 'ovn-sb-db-server' to succeed!
2018-03-28 15:07:13.499867 | primary | CRITICAL:tests.test_build:>>> Expected image 'ovn-nb-db-server' to succeed!

http://logs.openstack.org/33/555733/1/check/kolla-build-ubuntu-source/72f9085/job-output.txt.gz#_2018-03-28_15_07_13_498244

Looking more closely, it appears they fail to install lsb-release that depends on python3. Going up the dependency chain, the issue seems to be in dh-python that added a dependency on python3-distuils. However python3-distuils doesn't exist and should probably be python3-distutils.

()[root@f8bc5d1d504e bifrost-5.0.1.dev43]# apt-cache show dh-python
Package: dh-python
Priority: optional
Section: python
Installed-Size: 429
Maintainer: Piotr Ożarowski <email address hidden>
Architecture: all
Version: 3.20180325ubuntu1~cloud0
Replaces: python3 (<< 3.3.2-4~)
Suggests: libdpkg-perl, dpkg-dev
Depends: python3:any (>= 3.3.2-2~), python3-distuils
Breaks: python3 (<< 3.3.2-4~)
Supported: 60m
Filename: pool/main/d/dh-python/dh-python_3.20180325ubuntu1~cloud0_all.deb
Size: 89382
SHA256: 5d31a348f141d7ca366eeb21b58633bed96a0b27417ce8759e1cb785cb1db8bc
SHA1: a817acac0042ab6e22dd686376717a20e449ae03
MD5sum: d89b5e505bbb93b57efe4bfb85fc353d
Description: Debian helper tools for packaging Python libraries and applications
Description-md5: b21cd6f99d6093fdc7e0ba30c8dd949f
Multi-Arch: foreign
Original-Maintainer: Piotr Ożarowski <email address hidden>

no longer affects: python3-stdlib-extensions (Ubuntu)
dino99 (9d9) wrote :

if your system is updated, then you should be affected by that typo which was fixed :

dh-python (3.20180325ubuntu2) bionic; urgency=medium

  * Fix typo and really depend on python3-distutils

 -- Jeremy Bicha <email address hidden> Mon, 26 Mar 2018 15:42:23 -0400

dh-python (3.20180325ubuntu1) bionic; urgency=medium

  * Make python3-distutils a dependency, not just a recommendation.

 -- Matthias Klose <email address hidden> Mon, 26 Mar 2018 19:14:03 +0800

dino99 (9d9) wrote :

i mean 'should not be affected' indeed

Martin André (mandre) wrote :

@dino99: Thanks, good to know the package has been fixed upstream.

This has not yet been propagated to ubuntu-cloud-archive, though.

http://ubuntu-cloud.archive.canonical.com/ubuntu/dists/xenial-updates/queens/main/binary-amd64/Packages

dino99 (9d9) wrote :

Download it from https://launchpad.net/ubuntu/+source/dh-python,
then do 'sudo dpkg -i dh-python' from the download dir.

Reviewed: https://review.openstack.org/557655
Committed: https://git.openstack.org/cgit/openstack/kolla/commit/?id=739c51392f4244d68c023b061ce0300932db285b
Submitter: Zuul
Branch: master

commit 739c51392f4244d68c023b061ce0300932db285b
Author: Martin André <email address hidden>
Date: Thu Mar 29 11:01:43 2018 +0200

    Pin dh-python to earlier version to fix ubuntu gate

    Let's pin the package until the dh-python from ubuntu-cloud-archive is
    fixed.

    Change-Id: I59f827bc7eb27a30f5d5f06628b3be535fcfabcc
    Related-Bug: #1759796

Reviewed: https://review.openstack.org/557906
Committed: https://git.openstack.org/cgit/openstack/kolla/commit/?id=3a26647c789ebd17064bcf63a88e673bcb0ecca0
Submitter: Zuul
Branch: stable/queens

commit 3a26647c789ebd17064bcf63a88e673bcb0ecca0
Author: Martin André <email address hidden>
Date: Thu Mar 29 11:01:43 2018 +0200

    Pin dh-python to earlier version to fix ubuntu gate

    Let's pin the package until the dh-python from ubuntu-cloud-archive is
    fixed.

    Change-Id: I59f827bc7eb27a30f5d5f06628b3be535fcfabcc
    Related-Bug: #1759796
    (cherry picked from commit 739c51392f4244d68c023b061ce0300932db285b)

tags: added: in-stable-queens
Changed in kolla:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers